# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		buku
Version:	4.8
Release:	alt1_2
Summary:	Powerful command-line bookmark manager 
Group:		Networking/WWW
License:	GPLv3+
URL:		https://github.com/jarun/Buku
Source0:	https://github.com/jarun/Buku/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch


Requires:	python3-module-beautifulsoup4
Requires:	python3-module-certifi
Requires:	python3-module-urllib3
Requires:	python3-module-cryptography
Requires:	python3-module-html5lib
Source44: import.info

%description
buku is a powerful bookmark manager written in Python3 and SQLite3.

buku fetches the title of a bookmarked web page and stores it along
with any additional comments and tags. You can use your favourite editor
to compose and update bookmarks. With multiple search options, including regex
and a deep scan mode (particularly for URLs), it can find any bookmark
instantly. Multiple search results can be opened in the browser at once.

%prep
%setup -q


sed -i '1s/env //' buku

%build
# Nothing to do

%install
%makeinstall_std PREFIX=%{_prefix}

install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  auto-completion/bash/buku-completion.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  auto-completion/fish/buku.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  auto-completion/zsh/_buku

%files
%doc CHANGELOG README.md
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/buku-completion.bash
%{_datadir}/fish/vendor_functions.d/buku.fish
%{_datadir}/zsh/site-functions/_buku
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 4.8-alt1_2
- update by mgaimport

* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 4.8-alt1_1
- update by mgaimport

* Fri Sep 30 2022 Igor Vlasenko <viy@altlinux.org> 4.7-alt1_1
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 4.5-alt1_2
- update by mgaimport

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 4.5-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_2
- update by mgaimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_1
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 3.8-alt1_1
- update by mgaimport

* Thu Apr 05 2018 Igor Vlasenko <viy@altlinux.ru> 3.7-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 3.6-alt1_1
- new version

